Hi guys,

I'm looking at getting a cybershot T70 digital camera, but i noticed the operating systems it runs on doesnt include OS X 10.5. 10.4 is on there but not 10.5.
Does anyone have any experience with the T70 on Leopard? Or, do you think it will not be a problem? Is it possible this camera was just released before 10.5 and so 10.5 wasnt added to the list? I just want to be certain as obviously its a quite a lot of money to invest into something that may not work with my mac.

Thanks in advance,